Change in vdsm[master]: profile: add trivial benchmark runner

fromani at redhat.com fromani at redhat.com
Fri Mar 20 07:42:56 UTC 2015


Francesco Romani has uploaded a new change for review.

Change subject: profile: add trivial benchmark runner
......................................................................

profile: add trivial benchmark runner

add trivial test script to profile
the execution of verbs outside Engine.

Change-Id: I3c6918abf2f80c1169149a0c5c025b588012de36
Signed-off-by: Francesco Romani <fromani at redhat.com>
---
M Makefile.am
A contrib/bench.sh
2 files changed, 19 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.ovirt.org:29418/vdsm refs/changes/32/35132/3

diff --git a/Makefile.am b/Makefile.am
index aeec357..5ba3109 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -45,6 +45,7 @@
 	autogen.sh \
 	build-aux/pkg-version \
 	contrib/profile-stats \
+	contrib/bench.sh \
 	pylintrc \
 	vdsm.spec \
 	vdsm.spec.in \
diff --git a/contrib/bench.sh b/contrib/bench.sh
new file mode 100644
index 0000000..722beba
--- /dev/null
+++ b/contrib/bench.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [ -z "$1" ]; then
+	echo "missing verb to profile"
+	exit 1
+fi
+
+STEPS=300
+
+:> timings_$1.txt
+vdsClient -s 0 startProfile
+for i in `seq 1 $STEPS`; do
+	printf "step: %i/%i\n" $i $STEPS
+	/usr/bin/time -f '%e' vdsClient -s 0 "$@" 2>> timings_$1.txt > /dev/null
+done
+vdsClient -s 0 stopProfile
+mv /var/run/vdsm/vdsmd.prof vdsmd_$1.prof
+


-- 
To view, visit https://gerrit.ovirt.org/35132
To unsubscribe, visit https://gerrit.ovirt.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I3c6918abf2f80c1169149a0c5c025b588012de36
Gerrit-PatchSet: 3
Gerrit-Project: vdsm
Gerrit-Branch: master
Gerrit-Owner: Francesco Romani <fromani at redhat.com>
Gerrit-Reviewer: automation at ovirt.org
Gerrit-Reviewer: oVirt Jenkins CI Server


More information about the vdsm-patches mailing list